aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorRoss Brattain <ross.b.brattain@intel.com>2018-04-24 08:41:50 +0000
committerGerrit Code Review <gerrit@opnfv.org>2018-04-24 08:41:50 +0000
commit26083c4931c0bc72569d782c9df569dc6369077b (patch)
treec625e95752549f515a909e002be2287ba5640a04 /tests
parent6af74bdd4c6b8ae9601e8910273b51c347eed97c (diff)
parent74e4fccdd6d69e352e75279b5f8f757323af8047 (diff)
Merge "extra loopback cleanup" into stable/fraser
Diffstat (limited to 'tests')
-rwxr-xr-xtests/ci/load_images.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/ci/load_images.sh b/tests/ci/load_images.sh
index 818adcaf6..1e1591ce3 100755
--- a/tests/ci/load_images.sh
+++ b/tests/ci/load_images.sh
@@ -43,6 +43,12 @@ if [ "${YARD_IMG_ARCH}" == "arm64" ]; then
fi
fi
+cleanup_loopbacks() {
+ # try again to cleanup loopbacks in case of error
+ losetup -a
+ losetup -O NAME,BACK-FILE | awk '/yardstick/ { print $1 }' | xargs -l1 losetup -v -d || true
+}
+
build_yardstick_image()
{
echo
@@ -56,6 +62,7 @@ build_yardstick_image()
# Build the image. Retry once if the build fails
$cmd || $cmd
+ cleanup_loopbacks
if [ ! -f "${RAW_IMAGE}" ]; then
echo "Failed building RAW image"
exit 1
@@ -70,6 +77,7 @@ build_yardstick_image()
-e YARD_IMG_ARCH=${YARD_IMG_ARCH} \
-vvv -i inventory.ini build_yardstick_image.yml
+ cleanup_loopbacks
if [ ! -f "${QCOW_IMAGE}" ]; then
echo "Failed building QCOW image"
exit 1
@@ -82,6 +90,7 @@ build_yardstick_image()
-e img_property="nsb" \
-e YARD_IMG_ARCH=${YARD_IMG_ARCH} \
-vvv -i inventory.ini build_yardstick_image.yml
+ cleanup_loopbacks
if [ ! -f "${QCOW_NSB_IMAGE}" ]; then
echo "Failed building QCOW NSB image"
exit 1